### 7.8.1 dim (letterplace)

`Syntax:`
  `dim(` ideal_expression`)`
`Type:`
  int
`Purpose:`
  Compute the Gelfand-Kirillov dimension of the algebra basering/(input ideal). Uses Ufnarovskij graph for computations.
`Note:`
  the input ideal must be given as a two-sided Groebner basis.
`Example:`

      LIB "freegb.lib";
      ring r = 0,(x,y,z),dp;
      ring R = freeAlgebra(r, 5);
      ideal I = z;
      dim(twostd(I)); // GK dimension is infinite
      ==> -1
      I = x,y,z;
      dim(twostd(I));
      ==> 0
      I = x*y, x*z, z*y, z*z;
      dim(twostd(I));
      ==> 2
      I = y*x - x*y, z*x - x*z, z*y - y*z;
      I = twostd(I); I;
      ==> I[1]=z*y-y*z
      ==> I[2]=z*x-x*z
      ==> I[3]=y*x-x*y
      dim(I); // 3, as expected for R/I = K[x,y,z]
      ==> 3

See fpadim_lib.

User manual for Singular version 4.4.1, 2025, generated by texi2html.